class Account(object):

    """Account Objects.
    """

    def __init__(self, client):
        self.client = client

    def ssh_keys(self, options={}):
        """Returns a list of SSH keys.

        '/ssh-key/' GET
        """
        body = options['query'] if 'query' in options else {}

        response = self.client.get('/ssh-key/', body, options)

        return response

    def zones(self, options={}):
        """Returns a list of DNS zones.

        '/zones/' GET
        """
        body = options['query'] if 'query' in options else {}

        response = self.client.get('/zones/', body, options)

        return response

    def actions(self, options={}):
        """Returns a list of actions.

        '/actions/' GET
        """
        body = options['query'] if 'query' in options else {}

        response = self.client.get('/actions/', body, options)

        return response

    def databases(self, options={}):
        """Returns a list of databases.

        '/databases/' GET
        """
        body = options['query'] if 'query' in options else {}

        response = self.client.get('/databases/', body, options)

        return response

    def domains(self, options={}):
        """Returns a list of domains.

        '/domains/' GET
        """
        body = options['query'] if 'query' in options else {}

        response = self.client.get('/domains/', body, options)

        return response

    def ssl(self, options={}):
        """Returns a list of SSL certificates & keys.

        '/ssl/' GET
        """
        body = options['query'] if 'query' in options else {}

        response = self.client.get('/ssl/', body, options)

        return response

